Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class SOMUnresolvedType

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.type.SOMUnresolvedType

public class SOMUnresolvedType
extends SOMType

Place holder for complex and simpleTypes not yet defined. When building a schema, the type reference for a complexType or a simpleType may not be available at the time the construction of the element or attribute is done. SOMUnresolvedType is a place holder for those cases. Use SOMSchema.resolveTypes() after the type is defined.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`SOMUnresolvedType(SOMObject parent, java.lang.String name)` Creating a SOMUnresolvedType registers this instance in the schema's table of unresolved types.

Method Summary
`java.lang.String` | `getID()` Returns a printable element tag for this Schema Object
`java.lang.String` | `getName()`
`boolean` | `isElementalType()`
`void` | `toXML(java.io.Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.type.SOMType
`getAllowedFacets, getType, isUserDefinedType`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMUnresolvedType

    public SOMUnresolvedType(SOMObject parent,
                             java.lang.String name)

  Creating a SOMUnresolvedType registers this instance in the schema's table of unresolved types. The parent and name must be non-null references.

  Parameters:
    `parent` -
    `name` -

Method Detail

### isElementalType

    public boolean isElementalType()

  Overrides:
    isElementalType in class SOMType

### getID

    public java.lang.String getID()

  Returns a printable element tag for this Schema Object

  Returns:
    String representation of the element tag
  Overrides:
    getID in class SOMType

### getName

    public java.lang.String getName()

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Outputs a formatted XML representation of SOMObject.

  Parameters:
    `indent` - the indent level for formatting at which to start this schema object.
  Returns:
    formatted XML stream
  Overrides:
    toXML in class SOMType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)